/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.upperComputer.entity;



import java.io.Serializable;
import java.util.Date;


/**
 * 移动设备品牌表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-09 11:53:22  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public class CdMobileBrand implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_brandName = "brandName";
  public static final String KEY_brandNameCn = "brandNameCn";
  public static final String KEY_brandIcon = "brandIcon";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 主键id<br>
   */
  private String id;
  /**
   * 品牌名称<br>
   */
  private String brandName;
  /**
   * 中文名称<br>
   */
  private String brandNameCn;
  /**
   * 品牌标识<br>
   */
  private String brandIcon;
  /**
   * 创建人<br>
   */
  private String createdBy;
  /**
   * 创建时间<br>
   */
  private Date createdTime;
  /**
   * 更新人<br>
   */
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  private Date updatedTime;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 品牌名称<br>
   */
  public String getBrandName()
  {
      return brandName;
    }

  /**
   * 品牌名称<br>
   *
   * @param brandName 品牌名称
   */
  public void setBrandName(String brandName)
  {
      this.brandName = brandName;
    }
  /**
   * 中文名称<br>
   */
  public String getBrandNameCn()
  {
      return brandNameCn;
    }

  /**
   * 中文名称<br>
   *
   * @param brandNameCn 中文名称
   */
  public void setBrandNameCn(String brandNameCn)
  {
      this.brandNameCn = brandNameCn;
    }

  public String getBrandIcon() {
    return brandIcon;
  }

  public void setBrandIcon(String brandIcon) {
    this.brandIcon = brandIcon;
  }

  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdMobileBrand()
  {
  }

}
